<?php


namespace OTP\Traits;

trait Instance
{
    private static $_instance = null;
    public static function instance()
    {
        if (!is_null(self::$_instance)) {
            goto sH;
        }
        self::$_instance = new self();
        sH:
        return self::$_instance;
    }
}
